NX Open C++ Reference Guide
|
This class provides Shell Associated Data Support <br> To create a new instance of this class, use @link CAE::NodeElementManager::CreateShellEadBuilder CAE::NodeElementManager::CreateShellEadBuilder @endlink <br>
Default values. More...
Public Types | |
enum | MaterialOrientationMethod { MaterialOrientationMethodCoordinateSystem, MaterialOrientationMethodVectorProjection } |
indicates which material orientation method to use More... | |
enum | State { StateIgnore, StateApply, StateClear } |
indicates to ignore, apply or clear the state property upon commit More... | |
Public Member Functions | |
NXOpen::CoordinateSystem * | CoordinateSystem () |
Returns the get coordinate system method gets the coordinate system for orienting by coordinate system Created in NX6.0.0. | |
NXOpen::CAE::SelectElementsBuilder * | Elements () |
Returns the select element operator selects elements Created in NX6.0.0. | |
NXOpen::CAE::ShellEADBuilder::State | MaterialOrientationState () |
Returns the material orientation state drives the action upon commit Created in NX6.0.0. | |
NXOpen::CAE::SelectFENodeList * | Node () |
Returns the select nodes operator selects nodes to limit thickness to Created in NX6.0.1. | |
void | SetCoordinateSystem (NXOpen::CoordinateSystem *coordinateSystem) |
Sets the get coordinate system method gets the coordinate system for orienting by coordinate system Created in NX6.0.0. | |
void | SetMaterialOrientationState (NXOpen::CAE::ShellEADBuilder::State materialOrientationState) |
Sets the material orientation state drives the action upon commit Created in NX6.0.0. | |
NXOpen::CAE::ShellEADBuilder::MaterialOrientationMethod | SetMatOriMethod () |
Returns the get selection ori operator gets material orientation method Created in NX6.0.0. | |
void | SetSetMatOriMethod (NXOpen::CAE::ShellEADBuilder::MaterialOrientationMethod setMatOriMethod) |
Sets the get selection ori operator gets material orientation method Created in NX6.0.0. | |
void | SetThicknessState (NXOpen::CAE::ShellEADBuilder::State thicknessState) |
Sets the thickness state drives the action upon commit Created in NX6.0.0. | |
void | SetVector (NXOpen::Direction *vector) |
Sets the get vector method gets the projection vector for material orientation Created in NX6.0.0. | |
void | SetZoffsetState (NXOpen::CAE::ShellEADBuilder::State zoffsetState) |
Sets the zoffset state drives the action upon commit Created in NX7.5.0. | |
NXOpen::Expression * | ThicknessExpression () |
Returns the thickness expression of the shell element Created in NX6.0.0. | |
NXOpen::CAE::ShellEADBuilder::State | ThicknessState () |
Returns the thickness state drives the action upon commit Created in NX6.0.0. | |
NXOpen::Direction * | Vector () |
Returns the get vector method gets the projection vector for material orientation Created in NX6.0.0. | |
NXOpen::Expression * | ZoffsetExpression () |
Returns the zoffset expression of the shell element Created in NX7.5.0. | |
NXOpen::CAE::ShellEADBuilder::State | ZoffsetState () |
Returns the zoffset state drives the action upon commit Created in NX7.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class provides Shell Associated Data Support <br> To create a new instance of this class, use @link CAE::NodeElementManager::CreateShellEadBuilder CAE::NodeElementManager::CreateShellEadBuilder @endlink <br>
Default values.
Property | Value |
---|---|
MaterialOrientationState |
Ignore |
SetMatOriMethod | |
ThicknessState |
Ignore |
ZoffsetState |
Ignore |
Created in NX6.0.0.
NXOpen::CoordinateSystem* NXOpen::CAE::ShellEADBuilder::CoordinateSystem | ( | ) |
Returns the get coordinate system method gets the coordinate system for orienting by coordinate system
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::SelectElementsBuilder* NXOpen::CAE::ShellEADBuilder::Elements | ( | ) |
Returns the select element operator selects elements
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::ShellEADBuilder::State NXOpen::CAE::ShellEADBuilder::MaterialOrientationState | ( | ) |
Returns the material orientation state drives the action upon commit
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::SelectFENodeList* NXOpen::CAE::ShellEADBuilder::Node | ( | ) |
Returns the select nodes operator selects nodes to limit thickness to
Created in NX6.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
void NXOpen::CAE::ShellEADBuilder::SetCoordinateSystem | ( | NXOpen::CoordinateSystem * | coordinateSystem | ) |
Sets the get coordinate system method gets the coordinate system for orienting by coordinate system
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
coordinateSystem | coordinatesystem |
void NXOpen::CAE::ShellEADBuilder::SetMaterialOrientationState | ( | NXOpen::CAE::ShellEADBuilder::State | materialOrientationState | ) |
Sets the material orientation state drives the action upon commit
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
materialOrientationState | materialorientationstate |
NXOpen::CAE::ShellEADBuilder::MaterialOrientationMethod NXOpen::CAE::ShellEADBuilder::SetMatOriMethod | ( | ) |
Returns the get selection ori operator gets material orientation method
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
void NXOpen::CAE::ShellEADBuilder::SetSetMatOriMethod | ( | NXOpen::CAE::ShellEADBuilder::MaterialOrientationMethod | setMatOriMethod | ) |
Sets the get selection ori operator gets material orientation method
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
setMatOriMethod | setmatorimethod |
void NXOpen::CAE::ShellEADBuilder::SetThicknessState | ( | NXOpen::CAE::ShellEADBuilder::State | thicknessState | ) |
Sets the thickness state drives the action upon commit
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
thicknessState | thicknessstate |
void NXOpen::CAE::ShellEADBuilder::SetVector | ( | NXOpen::Direction * | vector | ) |
Sets the get vector method gets the projection vector for material orientation
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
vector | vector |
void NXOpen::CAE::ShellEADBuilder::SetZoffsetState | ( | NXOpen::CAE::ShellEADBuilder::State | zoffsetState | ) |
Sets the zoffset state drives the action upon commit
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling")
zoffsetState | zoffsetstate |
NXOpen::Expression* NXOpen::CAE::ShellEADBuilder::ThicknessExpression | ( | ) |
Returns the thickness expression of the shell element
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::ShellEADBuilder::State NXOpen::CAE::ShellEADBuilder::ThicknessState | ( | ) |
Returns the thickness state drives the action upon commit
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::Direction* NXOpen::CAE::ShellEADBuilder::Vector | ( | ) |
Returns the get vector method gets the projection vector for material orientation
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::Expression* NXOpen::CAE::ShellEADBuilder::ZoffsetExpression | ( | ) |
Returns the zoffset expression of the shell element
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::ShellEADBuilder::State NXOpen::CAE::ShellEADBuilder::ZoffsetState | ( | ) |
Returns the zoffset state drives the action upon commit
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling")